import { css as s, LitElement as m, html as c } from "lit";
import { importMdElevationSafely as d, customElementSafe as v } from "./custom-element-safe.js";
var f = Object.getOwnPropertyDescriptor, p = (o, a, i, n) => {
  for (var e = n > 1 ? void 0 : n ? f(a, i) : a, r = o.length - 1, l; r >= 0; r--)
    (l = o[r]) && (e = l(e) || e);
  return e;
};
d();
let t = class extends m {
  render() {
    return c`
      <md-elevation></md-elevation>
      <slot></slot>
    `;
  }
};
t.styles = s`
    :host {
      position: relative;
      display: flex;
      flex-direction: row;
      gap: 0.75rem;
      width: 100%;
      height: 100%;
      max-height: 5rem;
      align-content: space-around;
      justify-content: center;
      align-items: center;
      box-sizing: border-box;
      padding: 0.75rem;
      background-color: var(--md-sys-color-surface-container);
      color: var(--md-sys-color-on-surface);
      --md-elevation-level: 2;
    }
  `;
t = p([
  v("polyfea-md-navigation-bar")
], t);
export {
  t as PolyfeaMdNavigationBar
};
